summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Hüttel <dilfridge@gentoo.org>2014-12-28 17:12:34 +0000
committerAndreas K. Hüttel <dilfridge@gentoo.org>2014-12-28 17:12:34 +0000
commit55e12629e062385eee69e731d340535290bf8dcf (patch)
treeea2d508be45fe1c937097a03aacb5bf39773b988 /app-office
parentAddress bug #478764 in 2.20-r1 (diff)
downloadgentoo-2-55e12629e062385eee69e731d340535290bf8dcf.tar.gz
gentoo-2-55e12629e062385eee69e731d340535290bf8dcf.tar.bz2
gentoo-2-55e12629e062385eee69e731d340535290bf8dcf.zip
Version bump by Andreas Sturmlechner, bug 533160
(Portage version: 2.2.15/cvs/Linux x86_64, signed Manifest commit with key 84AD142F)
Diffstat (limited to 'app-office')
-rw-r--r--app-office/libreoffice/ChangeLog12
-rw-r--r--app-office/libreoffice/files/libreoffice-4.3.5.2-detect-KDE5-fallback-to-KDE4UI.patch62
-rw-r--r--app-office/libreoffice/files/libreoffice-4.3.5.2-return-IsUserDefined-w-o-negation.patch41
-rw-r--r--app-office/libreoffice/files/libreoffice-4.3.5.2-system-opencollada.patch157
-rw-r--r--app-office/libreoffice/libreoffice-4.3.5.2.ebuild618
-rw-r--r--app-office/libreoffice/libreoffice-4.3.9999.ebuild23
-rw-r--r--app-office/libreoffice/libreoffice-9999-r2.ebuild10
7 files changed, 912 insertions, 11 deletions
diff --git a/app-office/libreoffice/ChangeLog b/app-office/libreoffice/ChangeLog
index f2d58493d3cd..5effce8c0645 100644
--- a/app-office/libreoffice/ChangeLog
+++ b/app-office/libreoffice/ChangeLog
@@ -1,6 +1,16 @@
# ChangeLog for app-office/libreoffice
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/ChangeLog,v 1.596 2014/12/28 14:57:43 titanofold Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/ChangeLog,v 1.597 2014/12/28 17:12:34 dilfridge Exp $
+
+*libreoffice-4.3.5.2 (28 Dec 2014)
+
+ 28 Dec 2014; Andreas K. Huettel <dilfridge@gentoo.org>
+ +libreoffice-4.3.5.2.ebuild, libreoffice-4.3.9999.ebuild,
+ libreoffice-9999-r2.ebuild,
+ +files/libreoffice-4.3.5.2-detect-KDE5-fallback-to-KDE4UI.patch,
+ +files/libreoffice-4.3.5.2-return-IsUserDefined-w-o-negation.patch,
+ +files/libreoffice-4.3.5.2-system-opencollada.patch:
+ Version bump by Andreas Sturmlechner, bug 533160
28 Dec 2014; Aaron W. Swenson <titanofold@gentoo.org>
libreoffice-4.2.6.3.ebuild, libreoffice-4.2.9999.ebuild,
diff --git a/app-office/libreoffice/files/libreoffice-4.3.5.2-detect-KDE5-fallback-to-KDE4UI.patch b/app-office/libreoffice/files/libreoffice-4.3.5.2-detect-KDE5-fallback-to-KDE4UI.patch
new file mode 100644
index 000000000000..c7422d233410
--- /dev/null
+++ b/app-office/libreoffice/files/libreoffice-4.3.5.2-detect-KDE5-fallback-to-KDE4UI.patch
@@ -0,0 +1,62 @@
+From e04b8afe7aef5db535311630834bc25316433dae Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Tom=C3=A1=C5=A1=20Chv=C3=A1tal?= <tomas.chvatal@gmail.com>
+Date: Mon, 3 Nov 2014 10:01:52 +0100
+Subject: [PATCH] Detect KDE5 and fallback to KDE4UI there
+
+Change-Id: I8da53d7b81d28b0051be96c0c4ee0a29d8ed8360
+Reviewed-on: https://gerrit.libreoffice.org/12209
+Reviewed-by: Samuel Mehrbrodt <s.mehrbrodt@gmail.com>
+Tested-by: Samuel Mehrbrodt <s.mehrbrodt@gmail.com>
+---
+ vcl/unx/generic/desktopdetect/desktopdetector.cxx | 21 +++++++++++++++++++++
+ 1 file changed, 21 insertions(+)
+
+diff --git a/vcl/unx/generic/desktopdetect/desktopdetector.cxx b/vcl/unx/generic/desktopdetect/desktopdetector.cxx
+index 163d48e..e1f253d 100644
+--- a/vcl/unx/generic/desktopdetect/desktopdetector.cxx
++++ b/vcl/unx/generic/desktopdetect/desktopdetector.cxx
+@@ -272,6 +272,23 @@ static bool is_kde4_desktop( Display* pDisplay )
+ return false;
+ }
+
++static bool is_kde5_desktop( Display* pDisplay )
++{
++ if ( NULL != getenv( "KDE_FULL_SESSION" ) )
++ {
++ OUString aVer( "5" );
++
++ const char *pVer = getenv( "KDE_SESSION_VERSION" );
++ if ( pVer && aVer.equalsIgnoreAsciiCaseAscii( pVer ) )
++ return true;
++ }
++
++ if ( KDEVersion( pDisplay ) == 5 )
++ return true;
++
++ return false;
++}
++
+ extern "C"
+ {
+
+@@ -285,6 +302,8 @@ DESKTOP_DETECTOR_PUBLIC DesktopType get_desktop_environment()
+
+ if ( aOver.equalsIgnoreAsciiCase( "tde" ) )
+ return DESKTOP_TDE;
++ if ( aOver.equalsIgnoreAsciiCase( "kde5" ) )
++ return DESKTOP_KDE4;
+ if ( aOver.equalsIgnoreAsciiCase( "kde4" ) )
+ return DESKTOP_KDE4;
+ if ( aOver.equalsIgnoreAsciiCase( "gnome" ) )
+@@ -371,6 +390,8 @@ DESKTOP_DETECTOR_PUBLIC DesktopType get_desktop_environment()
+
+ // these guys can be slower, with X property fetches,
+ // round-trips etc. and so are done later.
++ else if ( is_kde5_desktop( pDisplay ) )
++ ret = DESKTOP_KDE4;
+ else if ( is_kde4_desktop( pDisplay ) )
+ ret = DESKTOP_KDE4;
+ else if ( is_gnome_desktop( pDisplay ) )
+--
+2.2.1
+
diff --git a/app-office/libreoffice/files/libreoffice-4.3.5.2-return-IsUserDefined-w-o-negation.patch b/app-office/libreoffice/files/libreoffice-4.3.5.2-return-IsUserDefined-w-o-negation.patch
new file mode 100644
index 000000000000..41b2bdd86301
--- /dev/null
+++ b/app-office/libreoffice/files/libreoffice-4.3.5.2-return-IsUserDefined-w-o-negation.patch
@@ -0,0 +1,41 @@
+From ec8beb2fa279b8d7b1efbd9f5414895b17dfbe8b Mon Sep 17 00:00:00 2001
+From: Katarina Behrens <bubli@bubli.org>
+Date: Fri, 5 Sep 2014 14:11:15 +0200
+Subject: [PATCH] fdo#82681: return IsUserDefined w/o negation
+
+when the predicate is called StyleSheetIsUserDefinedPredicate
+
+Returning negation thereof somewhere, somehow, corrupts one of
+SfxItem pools. Thus, invalid read happens and crashes Impress
+and Draw.
+
+Now the loop in SdStyleSheetPool::UpdateStdNames does nothing
+(it iterates through user-defined styles, but its body does
+something for non-user-defined styles), so more investigation
+here is needed.
+
+This is partial revert of commit 3440766f0ad43454287a874b5fd34b6f2af6bdf1
+
+Change-Id: I06f0da320c49674dac2adf43b7c374babbdadb57
+(cherry picked from commit a784c33fd48eeb3394dc63610e384cf866233093)
+Signed-off-by: Andras Timar <andras.timar@collabora.com>
+---
+ sd/source/core/stlpool.cxx | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/sd/source/core/stlpool.cxx b/sd/source/core/stlpool.cxx
+index 17ca4f0..c98dff7 100644
+--- a/sd/source/core/stlpool.cxx
++++ b/sd/source/core/stlpool.cxx
+@@ -943,7 +943,7 @@ struct StyleSheetIsUserDefinedPredicate : svl::StyleSheetPredicate
+
+ bool Check(const SfxStyleSheetBase& sheet) SAL_OVERRIDE
+ {
+- return !sheet.IsUserDefined();
++ return sheet.IsUserDefined();
+ }
+ };
+ }
+--
+2.2.1
+
diff --git a/app-office/libreoffice/files/libreoffice-4.3.5.2-system-opencollada.patch b/app-office/libreoffice/files/libreoffice-4.3.5.2-system-opencollada.patch
new file mode 100644
index 000000000000..098680da63d9
--- /dev/null
+++ b/app-office/libreoffice/files/libreoffice-4.3.5.2-system-opencollada.patch
@@ -0,0 +1,157 @@
+From f24c60870531689d95c056037e48cd29ad1d17bb Mon Sep 17 00:00:00 2001
+From: David Tardon <dtardon@redhat.com>
+Date: Mon, 20 Oct 2014 14:21:22 +0200
+Subject: [PATCH] allow to build with system opencollada
+
+Change-Id: I6101099c57d429987e06bca0652c843f4a94f8cc
+---
+ Makefile.fetch | 2 +-
+ RepositoryExternal.mk | 16 ++++++++++++++++
+ config_host.mk.in | 4 +++-
+ configure.ac | 35 +++++++++++++++++++++++++++++++++++
+ external/Module_external.mk | 2 +-
+ 5 files changed, 56 insertions(+), 3 deletions(-)
+
+diff --git a/Makefile.fetch b/Makefile.fetch
+index e8ccf5b..18b12be 100644
+--- a/Makefile.fetch
++++ b/Makefile.fetch
+@@ -184,7 +184,7 @@ $(WORKDIR)/download: $(BUILDDIR)/config_host.mk $(SRCDIR)/download.lst $(SRCDIR)
+ $(call fetch_Optional,NSS,NSS_TARBALL) \
+ $(call fetch_Optional_pack,NUMBERTEXT_EXTENSION_PACK) \
+ $(call fetch_Optional,ODFGEN,ODFGEN_TARBALL) \
+- $(call fetch_Optional,COLLADA2GLTF,OPENCOLLADA_TARBALL) \
++ $(call fetch_Optional,OPENCOLLADA,OPENCOLLADA_TARBALL) \
+ $(call fetch_Optional,OPENLDAP,OPENLDAP_TARBALL) \
+ $(call fetch_Optional,OPENSSL,OPENSSL_TARBALL) \
+ $(call fetch_Optional,ORCUS,ORCUS_TARBALL) \
+diff --git a/RepositoryExternal.mk b/RepositoryExternal.mk
+index 5277aea..911dab1 100644
+--- a/RepositoryExternal.mk
++++ b/RepositoryExternal.mk
+@@ -3371,6 +3371,20 @@ endif # SYSTEN_LIBGLTF
+
+ ifeq ($(ENABLE_COLLADA),TRUE)
+
++ifeq ($(SYSTEM_OPENCOLLADA),TRUE)
++
++define gb_LinkTarget__use_opencollada_parser
++$(call gb_LinkTarget_set_include,$(1),\
++ $$(INCLUDE) \
++ $(OPENCOLLADA_CFLAGS) \
++)
++
++$(call gb_LinkTarget_add_libs,$(1),$(OPENCOLLADA_LIBS))
++
++endef
++
++else # !SYSTEM_OPENCOLLADA
++
+ define gb_LinkTarget__use_opencollada_parser
+ $(call gb_LinkTarget_set_include,$(1),\
+ -I$(call gb_UnpackedTarball_get_dir,opencollada)/COLLADABaseUtils/include \
+@@ -3385,6 +3399,8 @@ $(call gb_LinkTarget_use_static_libraries,$(1),\
+ )
+ endef
+
++endif # SYSTEM_OPENCOLLADA
++
+ define gb_LinkTarget__use_collada2gltf
+ $(call gb_LinkTarget_set_include,$(1),\
+ -I$(call gb_UnpackedTarball_get_dir,collada2gltf) \
+diff --git a/config_host.mk.in b/config_host.mk.in
+index 0fefbb0..738c80c 100644
+--- a/config_host.mk.in
++++ b/config_host.mk.in
+@@ -431,7 +431,8 @@ export OOOP_SAMPLES_PACK=@OOOP_SAMPLES_PACK@
+ export OOOP_TEMPLATES_PACK=@OOOP_TEMPLATES_PACK@
+ export OOO_JUNIT_JAR=@OOO_JUNIT_JAR@
+ export OOO_VENDOR=@OOO_VENDOR@
+-export OPENSSL_CFLAGS=$(gb_SPACE)@OPENSSL_CFLAGS@
++export OPENCOLLADA_CFLAGS=$(gb_SPACE)@OPENCOLLADA_CFLAGS@
++export OPENCOLLADA_LIBS=$(gb_SPACE)@OPENCOLLADA_LIBS@
+ export OPENSSL_LIBS=$(gb_SPACE)@OPENSSL_LIBS@
+ export ORCUS_CFLAGS=$(gb_SPACE)@ORCUS_CFLAGS@
+ export ORCUS_LIBS=$(gb_SPACE)@ORCUS_LIBS@
+@@ -558,6 +559,7 @@ export SYSTEM_NPAPI_HEADERS=@SYSTEM_NPAPI_HEADERS@
+ export SYSTEM_NSS=@SYSTEM_NSS@
+ export SYSTEM_ODBC_HEADERS=@SYSTEM_ODBC_HEADERS@
+ export SYSTEM_ODFGEN=@SYSTEM_ODFGEN@
++export SYSTEM_OPENCOLLADA=@SYSTEM_OPENCOLLADA@
+ export SYSTEM_OPENLDAP=@SYSTEM_OPENLDAP@
+ export SYSTEM_OPENSSL=@SYSTEM_OPENSSL@
+ export SYSTEM_PAGEMAKER=@SYSTEM_PAGEMAKER@
+diff --git a/configure.ac b/configure.ac
+index 17feb1a..5d2198b 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -1641,6 +1641,11 @@ AC_ARG_WITH(system-ucpp,
+ [Use ucpp already on system.]),,
+ [])
+
++AC_ARG_WITH(system-opencollada,
++ AS_HELP_STRING([--with-system-opencollada],
++ [Use openCOLLADA already on system.]),,
++ [with_system_opencollada=no])
++
+ AC_ARG_WITH(system-openldap,
+ AS_HELP_STRING([--with-system-openldap],
+ [Use the OpenLDAP LDAP SDK already on system.]),,
+@@ -10342,11 +10347,41 @@ if test "$enable_collada" != "no" -a "$ENABLE_GLTF" = "TRUE"; then
+ AC_MSG_RESULT([yes])
+ ENABLE_COLLADA=TRUE
+ AC_DEFINE(HAVE_FEATURE_COLLADA,1)
++ AC_MSG_CHECKING([which OPENCOLLADA to use])
++ if test "$with_system_opencollada" = "yes"; then
++ AC_MSG_RESULT([external])
++ SYSTEM_OPENCOLLADA=TRUE
++ AS_IF([test -n "$OPENCOLLADA_CFLAGS"],[],[AC_MSG_ERROR([export OPENCOLLADA_CFLAGS])])
++ AS_IF([test -n "$OPENCOLLADA_LIBS"],[],[AC_MSG_ERROR([export OPENCOLLADA_LIBS])])
++ AC_LANG_PUSH([C++])
++ save_CXXFLAGS=$CXXFLAGS
++ save_CPPFLAGS=$CPPFLAGS
++ CXXFLAGS="$CXXFLAGS $OPENCOLLADA_CFLAGS"
++ CPPFLAGS="$CPPFLAGS $OPENCOLLADA_CFLAGS"
++ AC_CHECK_HEADERS(
++ COLLADABU.h \
++ COLLADAFW.h \
++ COLLADASaxFWLLoader.h \
++ GeneratedSaxParser.h,
++ [],
++ [AC_MSG_ERROR([openCOLLADA headers not found. Install openCOLLADA])],
++ [])
++ CXXFLAGS=$save_CXXFLAGS
++ CPPFLAGS=$save_CPPFLAGS
++ AC_LANG_POP([C++])
++ OPENCOLLADA_CFLAGS=$(printf '%s' "$OPENCOLLADA_CFLAGS" | sed -e "s/-I/${ISYSTEM?}/g")
++ else
++ AC_MSG_RESULT([internal])
++ BUILD_TYPE="$BUILD_TYPE OPENCOLLADA"
++ fi
+ BUILD_TYPE="$BUILD_TYPE COLLADA2GLTF"
+ else
+ AC_MSG_RESULT([no])
+ fi
+ AC_SUBST(ENABLE_COLLADA)
++AC_SUBST([OPENCOLLADA_CFLAGS])
++AC_SUBST([OPENCOLLADA_LIBS])
++AC_SUBST([SYSTEM_OPENCOLLADA])
+
+ # pdf import?
+ AC_MSG_CHECKING([whether to build the PDF import feature])
+diff --git a/external/Module_external.mk b/external/Module_external.mk
+index c95ea20..688e335 100644
+--- a/external/Module_external.mk
++++ b/external/Module_external.mk
+@@ -75,7 +75,7 @@ $(eval $(call gb_Module_add_moduledirs,external,\
+ $(call gb_Helper_optional,NEON,neon) \
+ $(call gb_Helper_optional,NSS,nss) \
+ $(call gb_Helper_optional,ODFGEN,libodfgen) \
+- $(call gb_Helper_optional,COLLADA2GLTF,opencollada) \
++ $(call gb_Helper_optional,OPENCOLLADA,opencollada) \
+ $(call gb_Helper_optional,OPENLDAP,openldap) \
+ $(call gb_Helper_optional,OPENSSL,openssl) \
+ $(call gb_Helper_optional,ORCUS,liborcus) \
+--
+2.2.1
+
diff --git a/app-office/libreoffice/libreoffice-4.3.5.2.ebuild b/app-office/libreoffice/libreoffice-4.3.5.2.ebuild
new file mode 100644
index 000000000000..01ce5650c9c0
--- /dev/null
+++ b/app-office/libreoffice/libreoffice-4.3.5.2.ebuild
@@ -0,0 +1,618 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-4.3.5.2.ebuild,v 1.1 2014/12/28 17:12:34 dilfridge Exp $
+
+EAPI=5
+
+KDE_REQUIRED="optional"
+QT_MINIMAL="4.7.4"
+KDE_SCM="git"
+CMAKE_REQUIRED="never"
+
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
+PYTHON_REQ_USE="threads,xml"
+
+# experimental ; release ; old
+# Usually the tarballs are moved a lot so this should make
+# everyone happy.
+DEV_URI="
+ http://dev-builds.libreoffice.org/pre-releases/src
+ http://download.documentfoundation.org/libreoffice/src/${PV:0:5}/
+ http://download.documentfoundation.org/libreoffice/old/${PV}/
+"
+EXT_URI="http://ooo.itc.hu/oxygenoffice/download/libreoffice"
+ADDONS_URI="http://dev-www.libreoffice.org/src/"
+
+BRANDING="${PN}-branding-gentoo-0.8.tar.xz"
+# PATCHSET="${P}-patchset-01.tar.xz"
+
+[[ ${PV} == *9999* ]] && SCM_ECLASS="git-2"
+inherit base autotools bash-completion-r1 check-reqs eutils java-pkg-opt-2 kde4-base pax-utils python-single-r1 multilib toolchain-funcs flag-o-matic nsplugins ${SCM_ECLASS}
+unset SCM_ECLASS
+
+DESCRIPTION="LibreOffice, a full office productivity suite"
+HOMEPAGE="http://www.libreoffice.org"
+SRC_URI="branding? ( http://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
+[[ -n ${PATCHSET} ]] && SRC_URI+=" http://dev.gentooexperimental.org/~scarabeus/${PATCHSET}"
+
+# Split modules following git/tarballs
+# Core MUST be first!
+# Help is used for the image generator
+MODULES="core help"
+# Only release has the tarballs
+if [[ ${PV} != *9999* ]]; then
+ for i in ${DEV_URI}; do
+ for mod in ${MODULES}; do
+ if [[ ${mod} == core ]]; then
+ SRC_URI+=" ${i}/${P}.tar.xz"
+ else
+ SRC_URI+=" ${i}/${PN}-${mod}-${PV}.tar.xz"
+ fi
+ done
+ unset mod
+ done
+ unset i
+fi
+unset DEV_URI
+
+# Really required addons
+# These are bundles that can't be removed for now due to huge patchsets.
+# If you want them gone, patches are welcome.
+ADDONS_SRC+=" ${ADDONS_URI}/d62650a6f908e85643e557a236ea989c-vigra1.6.0.tar.gz"
+ADDONS_SRC+=" ${ADDONS_URI}/1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz" # modifies source code
+ADDONS_SRC+=" collada? ( ${ADDONS_URI}/4b87018f7fff1d054939d19920b751a0-collada2gltf-master-cb1d97788a.tar.bz2 )"
+ADDONS_SRC+=" collada? ( ${ADDONS_URI}/OpenCOLLADA-master-6509aa13af.tar.bz2 )"
+ADDONS_SRC+=" java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
+ADDONS_SRC+=" libreoffice_extensions_wiki-publisher? ( ${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )" # no release for 8 years, should we package it?
+ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip )" # Does not build with 1.6 rhino at all
+ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip )" # requirement of rhino
+ADDONS_SRC+=" odk? ( http://download.go-oo.org/extern/185d60944ea767075d27247c3162b3bc-unowinreg.dll )" # not packageable
+SRC_URI+=" ${ADDONS_SRC}"
+
+unset ADDONS_URI
+unset EXT_URI
+unset ADDONS_SRC
+
+IUSE="bluetooth +branding coinmp collada +cups dbus debug eds firebird gltf gnome gstreamer
++gtk gtk3 jemalloc kde mysql odk opengl postgres telepathy test vlc"
+
+LO_EXTS="nlpsolver scripting-beanshell scripting-javascript wiki-publisher"
+# Unpackaged separate extensions:
+# diagram: lo has 0.9.5 upstream is weirdly patched 0.9.4 -> wtf?
+# hunart: only on ooo extensions -> fubared download path somewhere on sf
+# numbertext, typo, validator, watch-window: ^^
+# oooblogger: no homepage or anything
+# Extensions that need extra work:
+for lo_xt in ${LO_EXTS}; do
+ IUSE+=" libreoffice_extensions_${lo_xt}"
+done
+unset lo_xt
+
+LICENSE="|| ( LGPL-3 MPL-1.1 )"
+SLOT="0"
+[[ ${PV} == *9999* ]] || \
+KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
+
+# FIXME: collada? ( media-libs/opencollada )
+# how to configure system-collada?
+COMMON_DEPEND="
+ ${PYTHON_DEPS}
+ app-arch/zip
+ app-arch/unzip
+ >=app-text/hunspell-1.3.2-r3
+ app-text/mythes
+ >=app-text/libabw-0.1.0
+ >=app-text/libexttextcat-3.2
+ >=app-text/libebook-0.1.1
+ >=app-text/libetonyek-0.1.1
+ app-text/liblangtag
+ >=app-text/libmspub-0.1.0
+ >=app-text/libmwaw-0.3.1
+ >=app-text/libodfgen-0.1.0
+ app-text/libwpd:0.10[tools]
+ app-text/libwpg:0.3
+ >=app-text/libwps-0.3.0
+ >=app-text/poppler-0.16:=[xpdf-headers(+),cxx]
+ >=dev-cpp/clucene-2.3.3.4-r2
+ dev-cpp/libcmis:0.4
+ dev-db/unixODBC
+ >=dev-libs/boost-1.46:=
+ dev-libs/expat
+ >=dev-libs/hyphen-2.7.1
+ >=dev-libs/icu-4.8.1.1:=
+ >=dev-libs/liborcus-0.7.0
+ >=dev-libs/librevenge-0.0.1
+ >=dev-libs/nspr-4.8.8
+ >=dev-libs/nss-3.12.9
+ >=dev-lang/perl-5.0
+ >=dev-libs/openssl-1.0.0d:0
+ >=dev-libs/redland-1.0.16
+ media-gfx/graphite2
+ >=media-libs/fontconfig-2.8.0
+ media-libs/freetype:2
+ >=media-libs/glew-1.10
+ >=media-libs/harfbuzz-0.9.18:=[icu(+)]
+ media-libs/lcms:2
+ >=media-libs/libpng-1.4
+ >=media-libs/libcdr-0.1.0
+ >=media-libs/libfreehand-0.1.0
+ >=media-libs/libvisio-0.1.0
+ >=net-misc/curl-7.21.4
+ net-libs/neon
+ net-nds/openldap
+ sci-mathematics/lpsolve
+ virtual/jpeg:0
+ >=x11-libs/cairo-1.10.0[X]
+ x11-libs/libXinerama
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ bluetooth? ( net-wireless/bluez )
+ coinmp? ( sci-libs/coinor-mp )
+ cups? ( net-print/cups )
+ dbus? ( >=dev-libs/dbus-glib-0.92 )
+ eds? ( gnome-extra/evolution-data-server )
+ firebird? ( >=dev-db/firebird-2.5 )
+ gltf? ( media-libs/libgltf )
+ gnome? ( gnome-base/gconf:2 )
+ gtk? (
+ x11-libs/gdk-pixbuf[X]
+ >=x11-libs/gtk+-2.24:2
+ )
+ gtk3? ( >=x11-libs/gtk+-3.2:3 )
+ gstreamer? (
+ media-libs/gstreamer:1.0
+ media-libs/gst-plugins-base:1.0
+ )
+ jemalloc? ( dev-libs/jemalloc )
+ libreoffice_extensions_scripting-beanshell? ( >=dev-java/bsh-2.0_beta4 )
+ libreoffice_extensions_scripting-javascript? ( dev-java/rhino:1.6 )
+ libreoffice_extensions_wiki-publisher? (
+ dev-java/commons-codec:0
+ dev-java/commons-httpclient:3
+ dev-java/commons-lang:2.1
+ dev-java/commons-logging:0
+ dev-java/tomcat-servlet-api:3.0
+ )
+ mysql? ( >=dev-db/mysql-connector-c++-1.1.0 )
+ opengl? (
+ virtual/glu
+ virtual/opengl
+ )
+ postgres? ( >=dev-db/postgresql-9.0[kerberos] )
+ telepathy? (
+ dev-libs/glib:2
+ >=net-libs/telepathy-glib-0.18.0
+ >=x11-libs/gtk+-2.24:2
+ )
+"
+
+RDEPEND="${COMMON_DEPEND}
+ !app-office/libreoffice-bin
+ !app-office/libreoffice-bin-debug
+ !<app-office/openoffice-bin-3.4.0-r1
+ !app-office/openoffice
+ media-fonts/libertine-ttf
+ media-fonts/liberation-fonts
+ media-fonts/urw-fonts
+ java? ( >=virtual/jre-1.6 )
+ vlc? ( media-video/vlc )
+"
+
+if [[ ${PV} != *9999* ]]; then
+ PDEPEND="~app-office/libreoffice-l10n-${PV}"
+else
+ # Translations are not reliable on live ebuilds
+ # rather force people to use english only.
+ PDEPEND="!app-office/libreoffice-l10n"
+fi
+
+# FIXME: cppunit should be moved to test conditional
+# after everything upstream is under gbuild
+# as dmake execute tests right away
+DEPEND="${COMMON_DEPEND}
+ >=dev-libs/libatomic_ops-7.2d
+ >=dev-libs/libxml2-2.7.8
+ dev-libs/libxslt
+ dev-perl/Archive-Zip
+ dev-util/cppunit
+ >=dev-util/gperf-3
+ dev-util/intltool
+ >=dev-util/mdds-0.10.3:=
+ media-libs/glm
+ net-misc/npapi-sdk
+ >=sys-apps/findutils-4.4.2
+ sys-devel/bison
+ sys-apps/coreutils
+ sys-devel/flex
+ sys-devel/gettext
+ >=sys-devel/make-3.82
+ sys-devel/ucpp
+ sys-libs/zlib
+ virtual/pkgconfig
+ x11-libs/libXt
+ x11-libs/libXtst
+ x11-proto/randrproto
+ x11-proto/xextproto
+ x11-proto/xineramaproto
+ x11-proto/xproto
+ java? (
+ >=virtual/jdk-1.6
+ >=dev-java/ant-core-1.7
+ )
+ odk? ( >=app-doc/doxygen-1.8.4 )
+ test? ( dev-util/cppunit )
+"
+
+PATCHES=(
+ # not upstreamable stuff
+ "${FILESDIR}/${PN}-3.7-system-pyuno.patch"
+
+ # from 4.3 branch
+ "${FILESDIR}/${PN}-4.3.5.2-return-IsUserDefined-w-o-negation.patch" # bug 524770
+
+ # from 4.4 branch
+ "${FILESDIR}/${PN}-4.3.1.2-implement--with-system-coinmp.patch"
+ "${FILESDIR}/${PN}-4.3.4.1-boost-1.56.0.patch" # bug 522178
+ "${FILESDIR}/${PN}-4.3.5.2-system-opencollada.patch"
+ "${FILESDIR}/${PN}-4.3.5.2-detect-KDE5-fallback-to-KDE4UI.patch"
+
+ # from master branch
+)
+
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+ bluetooth? ( dbus )
+ collada? ( gltf )
+ gnome? ( gtk )
+ eds? ( gnome )
+ telepathy? ( gtk )
+ libreoffice_extensions_nlpsolver? ( java )
+ libreoffice_extensions_scripting-beanshell? ( java )
+ libreoffice_extensions_scripting-javascript? ( java )
+ libreoffice_extensions_wiki-publisher? ( java )
+"
+
+CHECKREQS_MEMORY="512M"
+CHECKREQS_DISK_BUILD="6G"
+
+pkg_pretend() {
+ local pgslot
+
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ check-reqs_pkg_pretend
+
+ if [[ $(gcc-major-version) -lt 4 ]] || \
+ ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 6 ]] ) \
+ ; then
+ eerror "Compilation with gcc older than 4.6 is not supported"
+ die "Too old gcc found."
+ fi
+ fi
+
+ # Ensure pg version but we have to be sure the pg is installed (first
+ # install on clean system)
+ if use postgres && has_version dev-db/postgresql; then
+ pgslot=$(postgresql-config show)
+ if [[ ${pgslot//.} < 90 ]] ; then
+ eerror "PostgreSQL slot must be set to 9.0 or higher."
+ eerror " postgresql-config set 9.0"
+ die "PostgreSQL slot is not set to 9.0 or higher."
+ fi
+ fi
+}
+
+pkg_setup() {
+ java-pkg-opt-2_pkg_setup
+ kde4-base_pkg_setup
+ python-single-r1_pkg_setup
+
+ [[ ${MERGE_TYPE} != binary ]] && check-reqs_pkg_setup
+}
+
+src_unpack() {
+ local mod mod2 dest tmplfile tmplname mypv
+
+ [[ -n ${PATCHSET} ]] && unpack ${PATCHSET}
+ use branding && unpack "${BRANDING}"
+
+ if [[ ${PV} != *9999* ]]; then
+ unpack "${P}.tar.xz"
+ for mod in ${MODULES}; do
+ [[ ${mod} == core ]] && continue
+ unpack "${PN}-${mod}-${PV}.tar.xz"
+ done
+ else
+ for mod in ${MODULES}; do
+ mypv=${PV/.9999}
+ [[ ${mypv} != ${PV} ]] && EGIT_BRANCH="${PN}-${mypv/./-}"
+ EGIT_PROJECT="${PN}/${mod}"
+ EGIT_SOURCEDIR="${WORKDIR}/${P}"
+ [[ ${mod} != core ]] && EGIT_SOURCEDIR="${WORKDIR}/${PN}-${mod}-${PV}"
+ EGIT_REPO_URI="git://anongit.freedesktop.org/${PN}/${mod}"
+ EGIT_NOUNPACK="true"
+ git-2_src_unpack
+ if [[ ${mod} != core ]]; then
+ mod2=${mod}
+ # mapping does not match on help
+ [[ ${mod} == help ]] && mod2="helpcontent2"
+ mkdir -p "${S}/${mod2}/" || die
+ mv -n "${WORKDIR}/${PN}-${mod}-${PV}"/* "${S}/${mod2}" || die
+ rm -rf "${WORKDIR}/${PN}-${mod}-${PV}"
+ fi
+ done
+ unset EGIT_PROJECT EGIT_SOURCEDIR EGIT_REPO_URI EGIT_BRANCH
+ fi
+}
+
+src_prepare() {
+ # optimization flags
+ export GMAKE_OPTIONS="${MAKEOPTS}"
+ # System python 2.7 enablement:
+ export PYTHON_CFLAGS=$(python_get_CFLAGS)
+ export PYTHON_LIBS=$(python_get_LIBS)
+
+ # patchset
+ if [[ -n ${PATCHSET} ]]; then
+ EPATCH_FORCE="yes" \
+ EPATCH_SOURCE="${WORKDIR}/${PATCHSET/.tar.xz/}" \
+ EPATCH_SUFFIX="patch" \
+ epatch
+ fi
+
+ base_src_prepare
+
+ AT_M4DIR="m4" eautoreconf
+ # hack in the autogen.sh
+ touch autogen.lastrun
+
+ # system pyuno mess
+ sed \
+ -e "s:%eprefix%:${EPREFIX}:g" \
+ -e "s:%libdir%:$(get_libdir):g" \
+ -i pyuno/source/module/uno.py \
+ -i scripting/source/pyprov/officehelper.py || die
+ # sed in the tests
+ sed -i \
+ -e 's#all : build unitcheck#all : build#g' \
+ solenv/gbuild/Module.mk || die
+ sed -i \
+ -e 's#check: dev-install subsequentcheck#check: unitcheck slowcheck dev-install subsequentcheck#g' \
+ -e 's#Makefile.gbuild all slowcheck#Makefile.gbuild all#g' \
+ Makefile.in || die
+
+ if use branding; then
+ # hack...
+ mv -v "${WORKDIR}/branding-intro.png" "${S}/icon-themes/galaxy/brand/intro.png" || die
+ fi
+}
+
+src_configure() {
+ local java_opts
+ local internal_libs
+ local lo_ext
+ local ext_opts
+ local jbs=$(sed -ne 's/.*\(-j[[:space:]]*\|--jobs=\)\([[:digit:]]\+\).*/\2/;T;p' <<< "${MAKEOPTS}")
+
+ # recheck that there is some value in jobs
+ [[ -z ${jbs} ]] && jbs="1"
+
+ # sane: just sane.h header that is used for scan in writer, not
+ # linked or anything else, worthless to depend on
+ # vigra: just uses templates from there
+ # it is serious pain in the ass for packaging
+ # should be replaced by boost::gil if someone interested
+ internal_libs+="
+ --without-system-sane
+ --without-system-vigra
+ "
+
+ # libreoffice extensions handling
+ for lo_xt in ${LO_EXTS}; do
+ if [[ "${lo_xt}" == "scripting-beanshell" || "${lo_xt}" == "scripting-javascript" ]]; then
+ ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ${lo_xt})"
+ else
+ ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ext-${lo_xt})"
+ fi
+ done
+
+ if use java; then
+ # hsqldb: system one is too new
+ java_opts="
+ --without-junit
+ --without-system-hsqldb
+ --with-ant-home="${ANT_HOME}"
+ --with-jdk-home=$(java-config --jdk-home 2>/dev/null)
+ --with-jvm-path="${EPREFIX}/usr/lib/"
+ "
+
+ use libreoffice_extensions_scripting-beanshell && \
+ java_opts+=" --with-beanshell-jar=$(java-pkg_getjar bsh bsh.jar)"
+
+ use libreoffice_extensions_scripting-javascript && \
+ java_opts+=" --with-rhino-jar=$(java-pkg_getjar rhino-1.6 js.jar)"
+
+ if use libreoffice_extensions_wiki-publisher; then
+ java_opts+="
+ --with-commons-codec-jar=$(java-pkg_getjar commons-codec commons-codec.jar)
+ --with-commons-httpclient-jar=$(java-pkg_getjar commons-httpclient-3 commons-httpclient.jar)
+ --with-commons-lang-jar=$(java-pkg_getjar commons-lang-2.1 commons-lang.jar)
+ --with-commons-logging-jar=$(java-pkg_getjar commons-logging commons-logging.jar)
+ --with-servlet-api-jar=$(java-pkg_getjar tomcat-servlet-api-3.0 servlet-api.jar)
+ "
+ fi
+ fi
+
+ # system headers/libs/...: enforce using system packages
+ # --enable-cairo: ensure that cairo is always required
+ # --enable-graphite: disabling causes build breakages
+ # --enable-*-link: link to the library rather than just dlopen on runtime
+ # --enable-release-build: build the libreoffice as release
+ # --disable-fetch-external: prevent dowloading during compile phase
+ # --disable-gnome-vfs: old gnome virtual fs support
+ # --disable-kdeab: kde3 adressbook
+ # --disable-kde: kde3 support
+ # --disable-systray: quickstarter does not actually work at all so do not
+ # promote it
+ # --enable-extension-integration: enable any extension integration support
+ # --without-{fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
+ # --disable-report-builder: too much java packages pulled in without pkgs
+ # FIXME: $(use_with collada system-opencollada)
+ econf \
+ --docdir="${EPREFIX}/usr/share/doc/${PF}/" \
+ --with-system-headers \
+ --with-system-libs \
+ --with-system-jars \
+ --with-system-dicts \
+ --enable-cairo-canvas \
+ --enable-graphite \
+ --enable-largefile \
+ --enable-neon \
+ --enable-python=system \
+ --enable-randr \
+ --enable-randr-link \
+ --enable-release-build \
+ --disable-hardlink-deliver \
+ --disable-ccache \
+ --disable-crashdump \
+ --disable-dependency-tracking \
+ --disable-epm \
+ --disable-fetch-external \
+ --disable-gnome-vfs \
+ --disable-gstreamer-0-10 \
+ --disable-mergelibs \
+ --disable-report-builder \
+ --disable-kdeab \
+ --disable-kde \
+ --disable-online-update \
+ --disable-systray \
+ --with-alloc=$(use jemalloc && echo "jemalloc" || echo "system") \
+ --with-build-version="Gentoo official package" \
+ --enable-extension-integration \
+ --with-external-dict-dir="${EPREFIX}/usr/share/myspell" \
+ --with-external-hyph-dir="${EPREFIX}/usr/share/myspell" \
+ --with-external-thes-dir="${EPREFIX}/usr/share/myspell" \
+ --with-external-tar="${DISTDIR}" \
+ --with-lang="" \
+ --with-parallelism=${jbs} \
+ --with-system-ucpp \
+ --with-vendor="Gentoo Foundation" \
+ --with-x \
+ --without-fonts \
+ --without-myspell-dicts \
+ --without-help \
+ --with-helppack-integration \
+ --without-sun-templates \
+ $(use_enable bluetooth sdremote-bluetooth) \
+ $(use_enable coinmp) \
+ $(use_enable collada) \
+ $(use_enable cups) \
+ $(use_enable debug) \
+ $(use_enable dbus) \
+ $(use_enable eds evolution2) \
+ $(use_enable firebird firebird-sdbc) \
+ $(use_enable gltf) \
+ $(use_enable gnome gconf) \
+ $(use_enable gnome gio) \
+ $(use_enable gnome lockdown) \
+ $(use_enable gstreamer) \
+ $(use_enable gtk) \
+ $(use_enable gtk3) \
+ $(use_enable kde kde4) \
+ $(use_enable mysql ext-mariadb-connector) \
+ $(use_enable odk) \
+ $(use_enable opengl) \
+ $(use_enable postgres postgresql-sdbc) \
+ $(use_enable telepathy) \
+ $(use_enable vlc) \
+ $(use_with coinmp system-coinmp) \
+ $(use_with gltf system-libgltf) \
+ $(use_with java) \
+ $(use_with mysql system-mysql-cppconn) \
+ $(use_with odk doxygen) \
+ ${internal_libs} \
+ ${java_opts} \
+ ${ext_opts}
+}
+
+src_compile() {
+ # hack for offlinehelp, this needs fixing upstream at some point
+ # it is broken because we send --without-help
+ # https://bugs.freedesktop.org/show_bug.cgi?id=46506
+ (
+ grep "^export" "${S}/config_host.mk" > "${T}/config_host.mk"
+ source "${T}/config_host.mk" 2&> /dev/null
+
+ local path="${WORKDIR}/helpcontent2/source/auxiliary/"
+ mkdir -p "${path}" || die
+
+ echo "perl \"${S}/helpcontent2/helpers/create_ilst.pl\" -dir=icon-themes/galaxy/res/helpimg > \"${path}/helpimg.ilst\""
+ perl "${S}/helpcontent2/helpers/create_ilst.pl" \
+ -dir=icon-themes/galaxy/res/helpimg \
+ > "${path}/helpimg.ilst"
+ [[ -s "${path}/helpimg.ilst" ]] || ewarn "The help images list is empty, something is fishy, report a bug."
+ )
+
+ local target
+ use test && target="build" || target="build-nocheck"
+
+ # this is not a proper make script
+ make ${target} || die
+}
+
+src_test() {
+ make unitcheck || die
+ make slowcheck || die
+}
+
+src_install() {
+ # This is not Makefile so no buildserver
+ make DESTDIR="${D}" distro-pack-install -o build -o check || die
+
+ # Fix bash completion placement
+ newbashcomp "${ED}"/etc/bash_completion.d/libreoffice.sh ${PN}
+ bashcomp_alias \
+ libreoffice \
+ unopkg loimpress lobase localc lodraw lomath lowriter lofromtemplate loweb loffice
+ rm -rf "${ED}"/etc/ || die
+
+ if use branding; then
+ insinto /usr/$(get_libdir)/${PN}/program
+ newins "${WORKDIR}/branding-sofficerc" sofficerc
+ echo "CONFIG_PROTECT=/usr/$(get_libdir)/${PN}/program/sofficerc" > "${ED}"/etc/env.d/99${PN}
+ fi
+
+ # symlink the nsplugin to proper location
+ # use gtk && inst_plugin /usr/$(get_libdir)/libreoffice/program/libnpsoplugin.so
+
+ # Hack for offlinehelp, this needs fixing upstream at some point.
+ # It is broken because we send --without-help
+ # https://bugs.freedesktop.org/show_bug.cgi?id=46506
+ insinto /usr/$(get_libdir)/libreoffice/help
+ doins xmlhelp/util/*.xsl
+
+ # Remove desktop files for support to old installs that can't parse mime
+ rm -rf "${ED}"/usr/share/mimelnk/
+
+ # FIXME: Hack add missing file
+ insinto /usr/$(get_libdir)/${PN}/program
+ doins "${S}"/instdir/program/libsaxlo.so
+
+ pax-mark -m "${ED}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
+ pax-mark -m "${ED}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
+}
+
+pkg_preinst() {
+ # Cache updates - all handled by kde eclass for all environments
+ kde4-base_pkg_preinst
+}
+
+pkg_postinst() {
+ kde4-base_pkg_postinst
+
+ use java || \
+ ewarn 'If you plan to use lbase application you should enable java or you will get various crashes.'
+}
+
+pkg_postrm() {
+ kde4-base_pkg_postrm
+}
diff --git a/app-office/libreoffice/libreoffice-4.3.9999.ebuild b/app-office/libreoffice/libreoffice-4.3.9999.ebuild
index a81b24913a54..ffcb51207d4e 100644
--- a/app-office/libreoffice/libreoffice-4.3.9999.ebuild
+++ b/app-office/libreoffice/libreoffice-4.3.9999.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-4.3.9999.ebuild,v 1.8 2014/12/28 14:57:43 titanofold Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-4.3.9999.ebuild,v 1.9 2014/12/28 17:12:34 dilfridge Exp $
EAPI=5
@@ -60,6 +60,8 @@ unset DEV_URI
# If you want them gone, patches are welcome.
ADDONS_SRC+=" ${ADDONS_URI}/d62650a6f908e85643e557a236ea989c-vigra1.6.0.tar.gz"
ADDONS_SRC+=" ${ADDONS_URI}/1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz" # modifies source code
+ADDONS_SRC+=" collada? ( ${ADDONS_URI}/4b87018f7fff1d054939d19920b751a0-collada2gltf-master-cb1d97788a.tar.bz2 )"
+ADDONS_SRC+=" collada? ( ${ADDONS_URI}/OpenCOLLADA-master-6509aa13af.tar.bz2 )"
ADDONS_SRC+=" java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
ADDONS_SRC+=" libreoffice_extensions_wiki-publisher? ( ${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )" # no release for 8 years, should we package it?
ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip )" # Does not build with 1.6 rhino at all
@@ -72,7 +74,7 @@ unset EXT_URI
unset ADDONS_SRC
IUSE="bluetooth +branding coinmp collada +cups dbus debug eds firebird gltf gnome gstreamer
-+gtk gtk3 jemalloc kde mysql odk opengl postgres telepathy test +vba vlc"
++gtk gtk3 jemalloc kde mysql odk opengl postgres telepathy test vlc"
LO_EXTS="nlpsolver scripting-beanshell scripting-javascript wiki-publisher"
# Unpackaged separate extensions:
@@ -91,6 +93,8 @@ SLOT="0"
[[ ${PV} == *9999* ]] || \
KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
+# FIXME: collada? ( media-libs/opencollada )
+# how to configure system-collada?
COMMON_DEPEND="
${PYTHON_DEPS}
app-arch/zip
@@ -144,7 +148,6 @@ COMMON_DEPEND="
x11-libs/libXrender
bluetooth? ( net-wireless/bluez )
coinmp? ( sci-libs/coinor-mp )
- collada? ( media-libs/opencollada )
cups? ( net-print/cups )
dbus? ( >=dev-libs/dbus-glib-0.92 )
eds? ( gnome-extra/evolution-data-server )
@@ -244,9 +247,13 @@ PATCHES=(
# not upstreamable stuff
"${FILESDIR}/${PN}-3.7-system-pyuno.patch"
- # from master branch
+ # from 4.4 branch
"${FILESDIR}/${PN}-4.3.1.2-implement--with-system-coinmp.patch"
- "${FILESDIR}/${PN}-4.3.4.1-boost-1.56.0.patch" # bug 522178
+ "${FILESDIR}/${PN}-4.3.4.1-boost-1.56.0.patch" # bug 522178
+ "${FILESDIR}/${PN}-4.3.5.2-system-opencollada.patch"
+ "${FILESDIR}/${PN}-4.3.5.2-detect-KDE5-fallback-to-KDE4UI.patch"
+
+ # from master branch
)
REQUIRED_USE="
@@ -446,6 +453,7 @@ src_configure() {
# --enable-extension-integration: enable any extension integration support
# --without-{fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
# --disable-report-builder: too much java packages pulled in without pkgs
+ # FIXME: $(use_with collada system-opencollada)
econf \
--docdir="${EPREFIX}/usr/share/doc/${PF}/" \
--with-system-headers \
@@ -512,7 +520,6 @@ src_configure() {
$(use_enable opengl) \
$(use_enable postgres postgresql-sdbc) \
$(use_enable telepathy) \
- $(use_enable vba) \
$(use_enable vlc) \
$(use_with coinmp system-coinmp) \
$(use_with gltf system-libgltf) \
@@ -583,6 +590,10 @@ src_install() {
# Remove desktop files for support to old installs that can't parse mime
rm -rf "${ED}"/usr/share/mimelnk/
+ # FIXME: Hack add missing file
+ insinto /usr/$(get_libdir)/${PN}/program
+ doins "${S}"/instdir/program/libsaxlo.so
+
pax-mark -m "${ED}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
pax-mark -m "${ED}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
}
diff --git a/app-office/libreoffice/libreoffice-9999-r2.ebuild b/app-office/libreoffice/libreoffice-9999-r2.ebuild
index ab92a5e2f9a8..c7a0db47e154 100644
--- a/app-office/libreoffice/libreoffice-9999-r2.ebuild
+++ b/app-office/libreoffice/libreoffice-9999-r2.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-9999-r2.ebuild,v 1.233 2014/12/28 14:57:43 titanofold Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-9999-r2.ebuild,v 1.234 2014/12/28 17:12:34 dilfridge Exp $
EAPI=5
@@ -74,7 +74,7 @@ unset EXT_URI
unset ADDONS_SRC
IUSE="bluetooth +branding coinmp collada +cups dbus debug eds firebird gltf gnome gstreamer
-+gtk gtk3 jemalloc kde mysql odk opengl postgres telepathy test +vba vlc"
++gtk gtk3 jemalloc kde mysql odk opengl postgres telepathy test vlc"
LO_EXTS="nlpsolver scripting-beanshell scripting-javascript wiki-publisher"
# Unpackaged separate extensions:
@@ -93,6 +93,8 @@ SLOT="0"
[[ ${PV} == *9999* ]] || \
KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
+# FIXME: collada? ( media-libs/opencollada )
+# how to configure system-collada?
COMMON_DEPEND="
${PYTHON_DEPS}
app-arch/zip
@@ -443,6 +445,7 @@ src_configure() {
# --enable-extension-integration: enable any extension integration support
# --without-{fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
# --disable-report-builder: too much java packages pulled in without pkgs
+ # FIXME: $(use_with collada system-opencollada)
econf \
--docdir="${EPREFIX}/usr/share/doc/${PF}/" \
--with-system-headers \
@@ -452,6 +455,7 @@ src_configure() {
--enable-cairo-canvas \
--enable-graphite \
--enable-largefile \
+ --enable-mergelibs \
--enable-neon \
--enable-python=system \
--enable-randr \
@@ -468,7 +472,6 @@ src_configure() {
--disable-report-builder \
--disable-kdeab \
--disable-kde \
- --disable-mergelibs \
--disable-online-update \
--disable-systray \
--with-alloc=$(use jemalloc && echo "jemalloc" || echo "system") \
@@ -509,7 +512,6 @@ src_configure() {
$(use_enable opengl) \
$(use_enable postgres postgresql-sdbc) \
$(use_enable telepathy) \
- $(use_enable vba) \
$(use_enable vlc) \
$(use_with coinmp system-coinmp) \
$(use_with gltf system-libgltf) \